<?php

/**
 * This is the model base class for the table "shop_product_images".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ShopProductImages".
 *
 * Columns in table "shop_product_images" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $product_id
 * @property string $name
 * @property string $created_datetime
 * @property string $updated_datetime
 * @property integer $pos
 *
 */
abstract class BaseShopProductImages extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'shop_product_images';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'ShopProductImages|ShopProductImages', $n);
	}

	public static function representingColumn() {
		return 'name';
	}

	public function rules() {
		return array(
			array('product_id, pos', 'numerical', 'integerOnly'=>true),
			array('name', 'length', 'max'=>255),
			array('created_datetime, updated_datetime', 'safe'),
			array('product_id, name, created_datetime, updated_datetime, pos', 'default', 'setOnEmpty' => true, 'value' => null),
			array('id, product_id, name, created_datetime, updated_datetime, pos', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'id' => Yii::t('app', 'ID'),
			'product_id' => Yii::t('app', 'Product'),
			'name' => Yii::t('app', 'Name'),
			'created_datetime' => Yii::t('app', 'Created Datetime'),
			'updated_datetime' => Yii::t('app', 'Updated Datetime'),
			'pos' => Yii::t('app', 'Pos'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('id', $this->id);
		$criteria->compare('product_id', $this->product_id);
		$criteria->compare('name', $this->name, true);
		$criteria->compare('created_datetime', $this->created_datetime, true);
		$criteria->compare('updated_datetime', $this->updated_datetime, true);
		$criteria->compare('pos', $this->pos);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}